%define module	django-simple-captcha

Name:		python-%{module}
Version:	0.5.1
Release:	%mkrel 1
Summary:	Django application to add captcha images to any Django form
License:	MIT
Group:		Development/Python
URL:		https://github.com/mbi/django-simple-captcha/
Source:		https://pypi.python.org/packages/source/d/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(setuptools)

%description
Django Simple Captcha is an extremely simple, yet highly customizable
Django application to add captcha images to any Django form

#---------------------------------------------------------------------------

%package -n	python3-%{module}
Summary:	Django application to add captcha images to any Django form
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(3)(setuptools)

%description -n python3-%{module}
Django Simple Captcha is an extremely simple, yet highly customizable
Django application to add captcha images to any Django form
This is the Python 3 build of %{module}.

#---------------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}

# Remove bundled egg-info
rm -rf django_simple_captcha.egg-info

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
%py2_install

pushd %{py3dir}
%py3_install
popd

%files
%doc CHANGES LICENSE README.rst
# list some files explicitly to avoid listing locale files twice
%{python2_sitelib}/captcha/*.py*
%{python2_sitelib}/captcha/conf/
%{python2_sitelib}/captcha/fonts/
%{python2_sitelib}/captcha/management/
%{python2_sitelib}/captcha/migrations/
%{python2_sitelib}/captcha/south_migrations/
%{python2_sitelib}/captcha/tests/
%{python2_sitelib}/captcha/templates/
%{python2_sitelib}/django_simple_captcha-%{version}-py%{python2_version}.egg-info
# locale files
%lang(bg) %{python2_sitelib}/captcha/locale/bg/LC_MESSAGES/django.?o
%lang(cs) %{python2_sitelib}/captcha/locale/cs/LC_MESSAGES/django.?o
%lang(de) %{python2_sitelib}/captcha/locale/de/LC_MESSAGES/django.?o
%lang(en) %{python2_sitelib}/captcha/locale/en/LC_MESSAGES/django.?o
%lang(es) %{python2_sitelib}/captcha/locale/es/LC_MESSAGES/django.?o
%lang(fr) %{python2_sitelib}/captcha/locale/fr/LC_MESSAGES/django.?o
%lang(it) %{python2_sitelib}/captcha/locale/it/LC_MESSAGES/django.?o
%lang(ja) %{python2_sitelib}/captcha/locale/ja/LC_MESSAGES/django.?o
%lang(nl) %{python2_sitelib}/captcha/locale/nl/LC_MESSAGES/django.?o
%lang(pl) %{python2_sitelib}/captcha/locale/pl/LC_MESSAGES/django.?o
%lang(pt_BR) %{python2_sitelib}/captcha/locale/pt_BR/LC_MESSAGES/django.?o
%lang(ru) %{python2_sitelib}/captcha/locale/ru/LC_MESSAGES/django.?o
%lang(sk) %{python2_sitelib}/captcha/locale/sk/LC_MESSAGES/django.?o
%lang(tr) %{python2_sitelib}/captcha/locale/tr/LC_MESSAGES/django.?o
%lang(uk) %{python2_sitelib}/captcha/locale/uk/LC_MESSAGES/django.?o
%lang(zh_CN) %{python2_sitelib}/captcha/locale/zh_CN/LC_MESSAGES/django.?o

%files -n python3-%{module}
%doc CHANGES LICENSE README.rst
# list some files explicitly to avoid listing locale files twice
%{python3_sitelib}/captcha/*py*
%{python3_sitelib}/captcha/conf/
%{python3_sitelib}/captcha/fonts/
%{python3_sitelib}/captcha/management/
%{python3_sitelib}/captcha/migrations/
%{python3_sitelib}/captcha/south_migrations/
%{python3_sitelib}/captcha/tests/
%{python3_sitelib}/captcha/templates/
%{python3_sitelib}/django_simple_captcha-%{version}-py%{python3_version}.egg-info
# locale files
%lang(bg) %{python3_sitelib}/captcha/locale/bg/LC_MESSAGES/django.?o
%lang(cs) %{python3_sitelib}/captcha/locale/cs/LC_MESSAGES/django.?o
%lang(de) %{python3_sitelib}/captcha/locale/de/LC_MESSAGES/django.?o
%lang(en) %{python3_sitelib}/captcha/locale/en/LC_MESSAGES/django.?o
%lang(es) %{python3_sitelib}/captcha/locale/es/LC_MESSAGES/django.?o
%lang(fr) %{python3_sitelib}/captcha/locale/fr/LC_MESSAGES/django.?o
%lang(it) %{python3_sitelib}/captcha/locale/it/LC_MESSAGES/django.?o
%lang(ja) %{python3_sitelib}/captcha/locale/ja/LC_MESSAGES/django.?o
%lang(nl) %{python3_sitelib}/captcha/locale/nl/LC_MESSAGES/django.?o
%lang(pl) %{python3_sitelib}/captcha/locale/pl/LC_MESSAGES/django.?o
%lang(pt_BR) %{python3_sitelib}/captcha/locale/pt_BR/LC_MESSAGES/django.?o
%lang(ru) %{python3_sitelib}/captcha/locale/ru/LC_MESSAGES/django.?o
%lang(sk) %{python3_sitelib}/captcha/locale/sk/LC_MESSAGES/django.?o
%lang(tr) %{python3_sitelib}/captcha/locale/tr/LC_MESSAGES/django.?o
%lang(uk) %{python3_sitelib}/captcha/locale/uk/LC_MESSAGES/django.?o
%lang(zh_CN) %{python3_sitelib}/captcha/locale/zh_CN/LC_MESSAGES/django.?o


%changelog
* Tue Dec 08 2015 daviddavid <daviddavid> 0.5.1-1.mga6
+ Revision: 908807
- new version: 0.5.1

* Sat Dec 05 2015 daviddavid <daviddavid> 0.5.0-1.mga6
+ Revision: 908262
- new version: 0.5.0
- update file list

* Wed Oct 07 2015 daviddavid <daviddavid> 0.4.5-2.mga6
+ Revision: 886826
- rebuild for python 3.5
- use new python macros

* Sun Jun 21 2015 daviddavid <daviddavid> 0.4.5-1.mga6
+ Revision: 837944
- new version: 0.4.5
- add more locale files
- update file list

* Wed Oct 15 2014 umeabot <umeabot> 0.4.2-5.mga5
+ Revision: 748159
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.4.2-4.mga5
+ Revision: 728317
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.4.2-3.mga5
+ Revision: 687992
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.4.2-2.mga5
+ Revision: 628597
- Rebuild for new Python

* Sat Apr 26 2014 daviddavid <daviddavid> 0.4.2-1.mga5
+ Revision: 618200
- fix rpmlint warning: "file-not-in-%%lang"
- fix list some files explicitly to avoid listing locale files twice
- update URL
- update doc files
- prefer use pkgconfig
- drop Patch0 (no more needed with new update)
- minor cosmetic change
- new version: 0.4.2

* Tue Oct 22 2013 umeabot <umeabot> 0.4.0-4.mga4
+ Revision: 543238
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.4.0-3.mga4
+ Revision: 498396
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 14 2013 philippem <philippem> 0.4.0-2.mga4
+ Revision: 496857
- fix pillow version

* Thu Oct 10 2013 nmartin <nmartin> 0.4.0-1.mga4
+ Revision: 494912
- Update to new version 0.4.0

* Mon Jun 03 2013 kharec <kharec> 0.3.8-1.mga4
+ Revision: 436242
- Update to 0.3.8
- fix source url

* Sun Jan 13 2013 umeabot <umeabot> 0.2.0-2.mga3
+ Revision: 378714
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri May 06 2011 misc <misc> 0.2.0-1.mga1
+ Revision: 95504
- imported package python-django-simple-captcha


* Fri May 06 2011 Michael Scherer <misc@zarb.org> - 0.2.0-1.mga
- adapt to Mageia

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Oct 20 2010 Dave Riches <dcr226@fedoraproject.org> - 0.2.0-4
- fixed description

* Wed Oct 20 2010 Dave Riches <dcr226@fedoraproject.org> - 0.2.0-3
- Fixed summary

* Wed Oct 20 2010 Dave Riches <dcr226@fedoraproject.org> - 0.2.0-2
- fixed folder permissions

* Wed Oct 20 2010 Dave Riches <dcr226@fedoraproject.org> - 0.2.0-1
- Packaged version 0.2.0

* Sat Aug 21 2010 Dave Riches <dcr226@fedoraproject.org> - 0.1.7-1
- packaged for Fedora 12/13/14

